### Virtual Method

# Gio DtlsConnection get_negotiated_protocol

since: 2.60

#### Declaration [src]

    const gchar*
    get_negotiated_protocol (
      GDtlsConnection* conn
    )

#### Description [src]

Gets the name of the application-layer protocol negotiated during the handshake.

If the peer did not use the ALPN extension, or did not advertise a protocol that matched one of `conn`‘s protocols, or the TLS backend does not support ALPN, then this will be `NULL`. See g_dtls_connection_set_advertised_protocols().

Available since: 2.60

#### Return value

Type: `const gchar*`

The negotiated protocol, or `NULL`.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.